Bug 493254 - radeon suspend, not.
Summary: radeon suspend, not.
Status: CLOSED DUPLICATE of bug 531825
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-01 05:52 UTC by Jerry Amundson
Modified: 2018-04-11 08:44 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-11-06 15:43:33 UTC


Attachments (Terms of Use)
Xorg.0.log (34.89 KB, text/plain)
2009-05-01 05:04 UTC, Jerry Amundson
no flags Details
dmesg output (71.16 KB, text/plain)
2009-05-01 05:45 UTC, Jerry Amundson
no flags Details
Xorg.log after bootup (39.16 KB, text/plain)
2009-11-05 20:26 UTC, Maciej Grela
no flags Details
messages (78.59 KB, text/plain)
2009-11-05 20:27 UTC, Jerry Amundson
no flags Details
Xorg.0.log (47.84 KB, text/plain)
2009-11-05 20:28 UTC, Jerry Amundson
no flags Details
liveuser .xsession-errors (3.30 KB, text/plain)
2009-11-05 20:30 UTC, Jerry Amundson
no flags Details

Description Jerry Amundson 2009-04-01 05:52:15 UTC
Description of problem:
no suspend.
https://fedoraproject.org/wiki/QA:Testcase_radeon_suspend

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586

How reproducible:
once

Steps to Reproduce:
1.boot livecd
2.system - logout liveuser, suspend
3.
  
Actual results:
nothing

Expected results:
suspended system.

Additional info:

Comment 1 Joachim Frieben 2009-04-01 15:57:57 UTC
Suspend fails even for the latest Koji updates and despite removing 90chvt from /usr/lib64/pm-utils/sleep.d.
- kernel-2.6.29.1-37.rc1.fc11.x86_64
- xorg-x11-drv-ati-6.12.1-2.fc11.x86_64
Instead of resuming, the system starts over. Correct behaviour can only be restored by adding "nomodeset" to the kernel boot line.

Comment 2 Adam Williamson 2009-04-01 16:00:57 UTC
jerry: can you try as joachim did, disable modesetting ('nomodeset' kernel parameter) and see if it works that way?

Comment 3 Joachim Frieben 2009-04-01 16:33:53 UTC
(In reply to comment #1)
> Correct behaviour can only be restored by adding "nomodeset" to the kernel boot line.

Attention: unless 90chvt is in place, one is facing a garbled text console after resume but in this case, switching VTs allows to get back X with the g-s-s unlock dialog.

Comment 4 Jerry Amundson 2009-04-01 19:44:46 UTC
(In reply to comment #2)
> jerry: can you try as joachim did, disable modesetting ('nomodeset' kernel
> parameter) and see if it works that way?  

On ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] [1002:4c66] (rev 02) (http://www.smolts.org/client/show/pub_e00a7044-8949-4771-b49e-7377d8c732db), and booting "nomodeset", I am able to successfully suspend and also successfully resume.

Comment 5 François Cami 2009-04-01 22:15:41 UTC
    Thanks for the bug report. We have reviewed the information you have
provided above, and there is some additional information we require that will
be helpful in our diagnosis of this issue. 

    Please attach your X server log file (/var/log/Xorg.*.log) and the output
of "dmesg" to the bug report as individual *uncompressed, text/plain* file
attachments using the bugzilla file attachment link below.

    We will review this issue again once you've had a chance to attach this
information. 

    Thank you in advance. 

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Jerry Amundson 2009-05-01 05:04:13 UTC
Created attachment 342042 [details]
Xorg.0.log

no xorg.conf on the system.

Comment 7 Jerry Amundson 2009-05-01 05:45:05 UTC
Created attachment 342047 [details]
dmesg output

Comment 8 Joachim Frieben 2009-05-22 12:06:11 UTC
Suspend w/KMS stills fails for latest "rawhide" builds:
- kernel-2.6.29.3-157.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-15.fc11.x86_64
- xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
System info at http://www.smolts.org/client/show/pub_ce3d646e-2918-44c9-a6c0-10fb3d9a0180 .

Comment 9 Bug Zapper 2009-06-09 12:55:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Joachim Frieben 2009-06-24 13:44:50 UTC
Suspend w/KMS stills fails for F11 w/updates:
- kernel-2.6.29.5-191.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-17.fc11.x86_64
- xorg-x11-server-Xorg-1.6.1.901-5.fc11.x86_64
System info at
http://www.smolts.org/client/show/pub_ce3d646e-2918-44c9-a6c0-10fb3d9a0180 .

Comment 11 Jérôme Glisse 2009-10-13 15:34:34 UTC
Can you try if it works with Fedora 12 alpha live cd ? https://fedoraproject.org/get-prerelease

Comment 12 Adam Williamson 2009-10-13 20:15:17 UTC
actually, it may be even better to test the latest fedora 12 nightly live CD:

http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

this is more or less what f12 beta will be.

jerome, if you want someone to test something against latest rawhide, you can always direct them to that directory; it contains automatically-built nightly live images from latest Rawhide, so people can test stuff without needing a Rawhide install.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Joachim Frieben 2009-10-13 20:57:42 UTC
For current "rawhide", suspend works nicely now with active KMS for an "ATI Technologies Inc Radeon X800 SE (R430) (PCIE) rev 0".

Regarding the case without KMS, only a mouse pointer is visible in front of a black background after resume. Virtual consoles are simply black.

Comment 14 Adam Williamson 2009-10-13 21:24:30 UTC
jerry: how's things for you with Rawhide?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Jerry Amundson 2009-10-14 15:45:39 UTC
(In reply to comment #14)
> jerry: how's things for you with Rawhide?

On
ATI Technologies Inc Radeon R250 [Mobility FireGL 9000]
suspend works, but the resume does not. The desktop comes back, but does not respond - mouse movement is visble, but clicks do nothing. C-A-F2 works so I can login to tty, reboot, etc.

Smolt profile:
http://www.smolts.org/client/show/pub_6c0f1d5b-4d53-46a6-aa0f-e98ef1bacfcd

Comment 16 Matěj Cepl 2009-11-05 17:12:42 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 17 Jerry Amundson 2009-11-05 20:25:50 UTC
Status is the same as in comment #15.

Comment 18 Maciej Grela 2009-11-05 20:26:58 UTC
Created attachment 367696 [details]
Xorg.log after bootup

Hi,

I've recently tested the newest nightly desktop build and I have to report, that the suspend works. Sort of. After suspending and resuming the system the display comes back on both the laptop panel and an external LCD. However, the screen is 'frozen' - you can move the cursor but you cannot click on anything. I'm attaching my Xorg.log

Best regards,
Maciej Grela

Comment 19 Jerry Amundson 2009-11-05 20:27:47 UTC
Created attachment 367697 [details]
messages

Comment 20 Jerry Amundson 2009-11-05 20:28:53 UTC
Created attachment 367698 [details]
Xorg.0.log

Comment 21 Jerry Amundson 2009-11-05 20:30:01 UTC
Created attachment 367699 [details]
liveuser .xsession-errors

Comment 22 Adam Williamson 2009-11-06 00:57:51 UTC
Can you please test with kernel -122?

http://koji.fedoraproject.org/koji/buildinfo?buildID=139823

it has a fix for radeon suspend issues. If you can't test on an installed f12, it should be in tomorrow's Rawhide (and hence tomorrow's nightly when that gets done).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 23 Jérôme Glisse 2009-11-06 15:43:33 UTC
This bug is more than likely a duplicate of 531825. Will use 531825 as a placeholder.

*** This bug has been marked as a duplicate of bug 531825 ***


Note You need to log in before you can comment on or make changes to this bug.